Package ghidra.trace.database.program

# Class DBTraceProgramViewChangeSet

java.lang.Object
ghidra.trace.database.program.DBTraceProgramViewChangeSet

All Implemented Interfaces:
  `ChangeSet`, `AddressChangeSet`, `DataTypeChangeSet`, `DomainObjectChangeSet`, `FunctionTagChangeSet`, `ProgramChangeSet`, `ProgramTreeChangeSet`, `RegisterChangeSet`, `SymbolChangeSet`

public class DBTraceProgramViewChangeSet extends Object implements ProgramChangeSet

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DBTraceProgramViewChangeSet()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(AddressSetView addrSet)`
  Adds the address set to the set addresses where changes occurred.
  `void`
  `addRange(Address addr1, Address addr2)`
  Adds the range of addresses to the set addresses where changes occurred.
  `void`
  `addRegisterRange(Address addr1, Address addr2)`
  Adds the ranges of addresses that have register changes.
  `void`
  `categoryAdded(long id)`
  adds the data type category id to the list of categories that have been added.
  `void`
  `categoryChanged(long id)`
  adds the data type category id to the list of categories that have changed.
  `void`
  `dataTypeAdded(long id)`
  Adds the data type ID to the list of added data types.
  `void`
  `dataTypeChanged(long id)`
  Adds the dataType ID to the list of changed data types.
  `AddressSetView`
  `getAddressSet()`
  Returns the address set of all addresses where the listing has changed.
  `AddressSetCollection`
  `getAddressSetCollectionSinceCheckout()`
  Gets an AddressSetCollection which contains the addressSets that track all the addresses where changes have occurred since the file was checked out.
  `AddressSetCollection`
  `getAddressSetCollectionSinceLastSave()`
  Gets an AddressSetCollection which contains the addressSets that track all the addresses where changes have occurred since the last save.
  `long[]`
  `getCategoryAdditions()`
  returns the list of category IDs that have been added.
  `long[]`
  `getCategoryChanges()`
  returns the list of category IDs that have changed.
  `long[]`
  `getDataTypeAdditions()`
  returns a list of data type IDs that have been added.
  `long[]`
  `getDataTypeChanges()`
  returns a list of data type IDs that have changed.
  `long[]`
  `getProgramTreeAdditions()`
  returns the list of program tree IDs that have been added.
  `long[]`
  `getProgramTreeChanges()`
  returns the list of program tree IDs that have changed.
  `AddressSetView`
  `getRegisterAddressSet()`
  Returns the set of Addresses containing register changes.
  `long[]`
  `getSourceArchiveAdditions()`
  returns a list of data type source archive IDs that have been added.
  `long[]`
  `getSourceArchiveChanges()`
  returns a list of data type source archive IDs that have changed.
  `long[]`
  `getSymbolAdditions()`
  returns the list of symbols IDs that have been added.
  `long[]`
  `getSymbolChanges()`
  returns the list of symbol IDs that have changed.
  `long[]`
  `getTagChanges()`
  Returns a list of all tag ids that have been changed (edited/deleted).
  `long[]`
  `getTagCreations()`
  Returns a list of all tag ids that have been created.
  `boolean`
  `hasChanges()`
  `void`
  `programTreeAdded(long id)`
  adds the program tree id to the list of trees that have been added.
  `void`
  `programTreeChanged(long id)`
  adds the program tree id to the list of trees that have changed.
  `void`
  `sourceArchiveAdded(long id)`
  Adds the data type source archive ID to the list of added data type archive IDs.
  `void`
  `sourceArchiveChanged(long id)`
  Adds the data type source archive ID to the list of changed data type archive IDs.
  `void`
  `symbolAdded(long id)`
  adds the symbols id to the list of symbols that have been added.
  `void`
  `symbolChanged(long id)`
  adds the symbol id to the list of symbols that have changed.
  `void`
  `tagChanged(long id)`
  Indicates that a tag has been changed (edited/deleted).
  `void`
  `tagCreated(long id)`
  Indicates that a tag has been created.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DBTraceProgramViewChangeSet

    public DBTraceProgramViewChangeSet()

- ## Method Details

  - ### hasChanges

    public boolean hasChanges()
    Specified by:
      `hasChanges` in interface `DomainObjectChangeSet`

  - ### getAddressSet

    public AddressSetView getAddressSet()
    Description copied from interface: `AddressChangeSet`
    Returns the address set of all addresses where the listing has changed.
    Specified by:
      `getAddressSet` in interface `AddressChangeSet`

  - ### add

    public void add(AddressSetView addrSet)
    Description copied from interface: `AddressChangeSet`
    Adds the address set to the set addresses where changes occurred.
    Specified by:
      `add` in interface `AddressChangeSet`
    Parameters:
      `addrSet` - the set of addresses to add as changes.

  - ### addRange

    public void addRange(Address addr1, Address addr2)
    Description copied from interface: `AddressChangeSet`
    Adds the range of addresses to the set addresses where changes occurred.
    Specified by:
      `addRange` in interface `AddressChangeSet`
    Parameters:
      `addr1` - the first address in the range
      `addr2` - the last address in the range. (inclusive)

  - ### addRegisterRange

    public void addRegisterRange(Address addr1, Address addr2)
    Description copied from interface: `RegisterChangeSet`
    Adds the ranges of addresses that have register changes.
    Specified by:
      `addRegisterRange` in interface `RegisterChangeSet`
    Parameters:
      `addr1` - the first address in the range.
      `addr2` - the last address in the range.

  - ### getRegisterAddressSet

    public AddressSetView getRegisterAddressSet()
    Description copied from interface: `RegisterChangeSet`
    Returns the set of Addresses containing register changes.
    Specified by:
      `getRegisterAddressSet` in interface `RegisterChangeSet`

  - ### dataTypeChanged

    public void dataTypeChanged(long id)
    Description copied from interface: `DataTypeChangeSet`
    Adds the dataType ID to the list of changed data types.
    Specified by:
      `dataTypeChanged` in interface `DataTypeChangeSet`

  - ### dataTypeAdded

    public void dataTypeAdded(long id)
    Description copied from interface: `DataTypeChangeSet`
    Adds the data type ID to the list of added data types.
    Specified by:
      `dataTypeAdded` in interface `DataTypeChangeSet`
    Parameters:
      `id` -

  - ### getDataTypeChanges

    public long[] getDataTypeChanges()
    Description copied from interface: `DataTypeChangeSet`
    returns a list of data type IDs that have changed.
    Specified by:
      `getDataTypeChanges` in interface `DataTypeChangeSet`

  - ### getDataTypeAdditions

    public long[] getDataTypeAdditions()
    Description copied from interface: `DataTypeChangeSet`
    returns a list of data type IDs that have been added.
    Specified by:
      `getDataTypeAdditions` in interface `DataTypeChangeSet`

  - ### categoryChanged

    public void categoryChanged(long id)
    Description copied from interface: `DataTypeChangeSet`
    adds the data type category id to the list of categories that have changed.
    Specified by:
      `categoryChanged` in interface `DataTypeChangeSet`

  - ### categoryAdded

    public void categoryAdded(long id)
    Description copied from interface: `DataTypeChangeSet`
    adds the data type category id to the list of categories that have been added.
    Specified by:
      `categoryAdded` in interface `DataTypeChangeSet`

  - ### getCategoryChanges

    public long[] getCategoryChanges()
    Description copied from interface: `DataTypeChangeSet`
    returns the list of category IDs that have changed.
    Specified by:
      `getCategoryChanges` in interface `DataTypeChangeSet`

  - ### getCategoryAdditions

    public long[] getCategoryAdditions()
    Description copied from interface: `DataTypeChangeSet`
    returns the list of category IDs that have been added.
    Specified by:
      `getCategoryAdditions` in interface `DataTypeChangeSet`

  - ### sourceArchiveChanged

    public void sourceArchiveChanged(long id)
    Description copied from interface: `DataTypeChangeSet`
    Adds the data type source archive ID to the list of changed data type archive IDs.
    Specified by:
      `sourceArchiveChanged` in interface `DataTypeChangeSet`

  - ### sourceArchiveAdded

    public void sourceArchiveAdded(long id)
    Description copied from interface: `DataTypeChangeSet`
    Adds the data type source archive ID to the list of added data type archive IDs.
    Specified by:
      `sourceArchiveAdded` in interface `DataTypeChangeSet`
    Parameters:
      `id` - the data type source archive ID

  - ### getSourceArchiveChanges

    public long[] getSourceArchiveChanges()
    Description copied from interface: `DataTypeChangeSet`
    returns a list of data type source archive IDs that have changed.
    Specified by:
      `getSourceArchiveChanges` in interface `DataTypeChangeSet`

  - ### getSourceArchiveAdditions

    public long[] getSourceArchiveAdditions()
    Description copied from interface: `DataTypeChangeSet`
    returns a list of data type source archive IDs that have been added.
    Specified by:
      `getSourceArchiveAdditions` in interface `DataTypeChangeSet`

  - ### programTreeChanged

    public void programTreeChanged(long id)
    Description copied from interface: `ProgramTreeChangeSet`
    adds the program tree id to the list of trees that have changed.
    Specified by:
      `programTreeChanged` in interface `ProgramTreeChangeSet`

  - ### programTreeAdded

    public void programTreeAdded(long id)
    Description copied from interface: `ProgramTreeChangeSet`
    adds the program tree id to the list of trees that have been added.
    Specified by:
      `programTreeAdded` in interface `ProgramTreeChangeSet`

  - ### getProgramTreeChanges

    public long[] getProgramTreeChanges()
    Description copied from interface: `ProgramTreeChangeSet`
    returns the list of program tree IDs that have changed.
    Specified by:
      `getProgramTreeChanges` in interface `ProgramTreeChangeSet`

  - ### getProgramTreeAdditions

    public long[] getProgramTreeAdditions()
    Description copied from interface: `ProgramTreeChangeSet`
    returns the list of program tree IDs that have been added.
    Specified by:
      `getProgramTreeAdditions` in interface `ProgramTreeChangeSet`

  - ### symbolChanged

    public void symbolChanged(long id)
    Description copied from interface: `SymbolChangeSet`
    adds the symbol id to the list of symbols that have changed.
    Specified by:
      `symbolChanged` in interface `SymbolChangeSet`

  - ### symbolAdded

    public void symbolAdded(long id)
    Description copied from interface: `SymbolChangeSet`
    adds the symbols id to the list of symbols that have been added.
    Specified by:
      `symbolAdded` in interface `SymbolChangeSet`

  - ### getSymbolChanges

    public long[] getSymbolChanges()
    Description copied from interface: `SymbolChangeSet`
    returns the list of symbol IDs that have changed.
    Specified by:
      `getSymbolChanges` in interface `SymbolChangeSet`

  - ### getSymbolAdditions

    public long[] getSymbolAdditions()
    Description copied from interface: `SymbolChangeSet`
    returns the list of symbols IDs that have been added.
    Specified by:
      `getSymbolAdditions` in interface `SymbolChangeSet`

  - ### tagChanged

    public void tagChanged(long id)
    Description copied from interface: `FunctionTagChangeSet`
    Indicates that a tag has been changed (edited/deleted).
    Specified by:
      `tagChanged` in interface `FunctionTagChangeSet`
    Parameters:
      `id` - the id of the tag (from `FunctionTagAdapter`)

  - ### tagCreated

    public void tagCreated(long id)
    Description copied from interface: `FunctionTagChangeSet`
    Indicates that a tag has been created.
    Specified by:
      `tagCreated` in interface `FunctionTagChangeSet`
    Parameters:
      `id` - the id of the tag (from `FunctionTagAdapter`)

  - ### getTagChanges

    public long[] getTagChanges()
    Description copied from interface: `FunctionTagChangeSet`
    Returns a list of all tag ids that have been changed (edited/deleted).
    Specified by:
      `getTagChanges` in interface `FunctionTagChangeSet`
    Returns:
      the list of tag ids (from `FunctionTagAdapter`)

  - ### getTagCreations

    public long[] getTagCreations()
    Description copied from interface: `FunctionTagChangeSet`
    Returns a list of all tag ids that have been created.
    Specified by:
      `getTagCreations` in interface `FunctionTagChangeSet`
    Returns:
      the list of tag ids (from `FunctionTagAdapter`)

  - ### getAddressSetCollectionSinceLastSave

    public AddressSetCollection getAddressSetCollectionSinceLastSave()
    Description copied from interface: `ProgramChangeSet`
    Gets an AddressSetCollection which contains the addressSets that track all the addresses where changes have occurred since the last save.
    Specified by:
      `getAddressSetCollectionSinceLastSave` in interface `ProgramChangeSet`
    Returns:
      AddressSetCollection containing all addresses that changed since the last save.

  - ### getAddressSetCollectionSinceCheckout

    public AddressSetCollection getAddressSetCollectionSinceCheckout()
    Description copied from interface: `ProgramChangeSet`
    Gets an AddressSetCollection which contains the addressSets that track all the addresses where changes have occurred since the file was checked out. If the file is not versioned, this AddressSetCollection will be empty.
    Specified by:
      `getAddressSetCollectionSinceCheckout` in interface `ProgramChangeSet`
    Returns:
      AddressSetCollection containing all addresses that changed since the program was checked out.